poppler 0.48.0-2ubuntu2.2 source package in Ubuntu

Changelog

poppler (0.48.0-2ubuntu2.2) zesty-security; urgency=medium

  * SECURITY UPDATE: NULL Pointer Dereference
    - debian/patches/CVE-2017-14517.patch: Fix crash in broken file
      in poppler/XRef.cc.
    - CVE-2017-14517
  * SECURITY UPDATE: Memory corruption - infinite loop
    - debian/patches/CVE-2017-14519.patch: fix infinite recursion in
      poppler/Gfx.cc, poppler/Gfx.h, poppler/GfxFont.cc, poppler/GfxFont.h
    - CVE-2017-14519

 -- <email address hidden> (Leonidas S. Barbosa)  Fri, 29 Sep 2017 10:41:15 -0300

Upload details

Uploaded by:
Leonidas S. Barbosa on 2017-09-29
Uploaded to:
Zesty
Original maintainer:
Ubuntu Developers
Architectures:
any all
Section:
devel
Urgency:
Medium Urgency

See full publishing history Publishing

Series Pocket Published Component Section

Downloads

File Size SHA-256 Checksum
poppler_0.48.0.orig.tar.xz 1.6 MiB 85a003968074c85d8e13bf320ec47cef647b496b56dcff4c790b34e5482fef93
poppler_0.48.0-2ubuntu2.2.debian.tar.xz 37.1 KiB 5923d59363a61c81b9ccc8c6829d3b28a33a32f80d917099c78ee57edae50be1
poppler_0.48.0-2ubuntu2.2.dsc 3.4 KiB cc056db4e03d9547412cc56ea42954946800a6a8080839a95ca17a4354501459

View changes file

Binary packages built by this source

gir1.2-poppler-0.18: No summary available for gir1.2-poppler-0.18 in ubuntu zesty.

No description available for gir1.2-poppler-0.18 in ubuntu zesty.

gir1.2-poppler-0.18-dbgsym: No summary available for gir1.2-poppler-0.18-dbgsym in ubuntu zesty.

No description available for gir1.2-poppler-0.18-dbgsym in ubuntu zesty.

libpoppler-cpp-dev: No summary available for libpoppler-cpp-dev in ubuntu zesty.

No description available for libpoppler-cpp-dev in ubuntu zesty.

libpoppler-cpp-dev-dbgsym: No summary available for libpoppler-cpp-dev-dbgsym in ubuntu zesty.

No description available for libpoppler-cpp-dev-dbgsym in ubuntu zesty.

libpoppler-cpp0v5: No summary available for libpoppler-cpp0v5 in ubuntu zesty.

No description available for libpoppler-cpp0v5 in ubuntu zesty.

libpoppler-cpp0v5-dbgsym: No summary available for libpoppler-cpp0v5-dbgsym in ubuntu zesty.

No description available for libpoppler-cpp0v5-dbgsym in ubuntu zesty.

libpoppler-dev: No summary available for libpoppler-dev in ubuntu zesty.

No description available for libpoppler-dev in ubuntu zesty.

libpoppler-dev-dbgsym: No summary available for libpoppler-dev-dbgsym in ubuntu zesty.

No description available for libpoppler-dev-dbgsym in ubuntu zesty.

libpoppler-glib-dev: No summary available for libpoppler-glib-dev in ubuntu zesty.

No description available for libpoppler-glib-dev in ubuntu zesty.

libpoppler-glib-dev-dbgsym: No summary available for libpoppler-glib-dev-dbgsym in ubuntu zesty.

No description available for libpoppler-glib-dev-dbgsym in ubuntu zesty.

libpoppler-glib-doc: No summary available for libpoppler-glib-doc in ubuntu zesty.

No description available for libpoppler-glib-doc in ubuntu zesty.

libpoppler-glib8: No summary available for libpoppler-glib8 in ubuntu zesty.

No description available for libpoppler-glib8 in ubuntu zesty.

libpoppler-glib8-dbgsym: No summary available for libpoppler-glib8-dbgsym in ubuntu zesty.

No description available for libpoppler-glib8-dbgsym in ubuntu zesty.

libpoppler-private-dev: No summary available for libpoppler-private-dev in ubuntu zesty.

No description available for libpoppler-private-dev in ubuntu zesty.

libpoppler-private-dev-dbgsym: No summary available for libpoppler-private-dev-dbgsym in ubuntu zesty.

No description available for libpoppler-private-dev-dbgsym in ubuntu zesty.

libpoppler-qt4-4: No summary available for libpoppler-qt4-4 in ubuntu zesty.

No description available for libpoppler-qt4-4 in ubuntu zesty.

libpoppler-qt4-4-dbgsym: No summary available for libpoppler-qt4-4-dbgsym in ubuntu zesty.

No description available for libpoppler-qt4-4-dbgsym in ubuntu zesty.

libpoppler-qt4-dev: No summary available for libpoppler-qt4-dev in ubuntu zesty.

No description available for libpoppler-qt4-dev in ubuntu zesty.

libpoppler-qt4-dev-dbgsym: No summary available for libpoppler-qt4-dev-dbgsym in ubuntu zesty.

No description available for libpoppler-qt4-dev-dbgsym in ubuntu zesty.

libpoppler-qt5-1: No summary available for libpoppler-qt5-1 in ubuntu zesty.

No description available for libpoppler-qt5-1 in ubuntu zesty.

libpoppler-qt5-1-dbgsym: No summary available for libpoppler-qt5-1-dbgsym in ubuntu zesty.

No description available for libpoppler-qt5-1-dbgsym in ubuntu zesty.

libpoppler-qt5-dev: No summary available for libpoppler-qt5-dev in ubuntu zesty.

No description available for libpoppler-qt5-dev in ubuntu zesty.

libpoppler-qt5-dev-dbgsym: No summary available for libpoppler-qt5-dev-dbgsym in ubuntu zesty.

No description available for libpoppler-qt5-dev-dbgsym in ubuntu zesty.

libpoppler64: No summary available for libpoppler64 in ubuntu zesty.

No description available for libpoppler64 in ubuntu zesty.

libpoppler64-dbgsym: No summary available for libpoppler64-dbgsym in ubuntu zesty.

No description available for libpoppler64-dbgsym in ubuntu zesty.

poppler-dbg: No summary available for poppler-dbg in ubuntu zesty.

No description available for poppler-dbg in ubuntu zesty.

poppler-utils: No summary available for poppler-utils in ubuntu zesty.

No description available for poppler-utils in ubuntu zesty.

poppler-utils-dbgsym: No summary available for poppler-utils-dbgsym in ubuntu zesty.

No description available for poppler-utils-dbgsym in ubuntu zesty.